[POST] .../v1/item/deletefromcompound
Removes an item record from a compound item composition. Use this destructive method to remove a component item from the composition of a compound item. It requires compound_id and item_id, checks item edit permission, updates the compound composition and returns row_affected. Business errors such as a missing request body, invalid identifiers, denied access, missing component state and persistent errors are returned as HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| compound_id | Int64 | Required | Compound item ID. |
| item_id | Int64 | Required | ID of the item to remove. |
Request Example
{
"compound_id": 1,
"item_id": 1
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Update | Update operation result. |
Response Example
{
"ok": true,
"result": {
"ids": [
null
],
"row_affected": 1
}
}